<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Student</title>
    <link rel="stylesheet" href = "fancy.css">
    <link rel="manifest" href="manifest.json">
    <style>
        td
        {
            border: 2px solid black;
            height: 40px;
            text-align: center;
            align-items: center;
        }
    </style>
</head>
<body>
    <header class="head">
        <div class="headerDiv">
            <div class="siteNameDiv">
                <p class="siteName">CMS</p>
            </div>
            <div class="menuDiv">
                
                <div class="popup" onclick="profilePop()">Maks
                    <ul class="popuptext" id="profilePop" style="list-style: none;">
                        <li>
                            Profile
                        </li>
                        <li>
                            Log Out
                        </li>
                    </ul>
                </div>
                <div class="popup" onclick="profilePop()">
                    <img src="profileIcon.png" alt="profileIcon" style="height: 56px; width: 56px; 
                    margin-left: 20px; 
                    margin-right: 20px;">
                </div>
                <div class="notificDiv popup">
                    <button class="notification" onclick="notificPop()">🔔</button>
                    <ul class="popupNotification" id="notificPop" style="list-style: none;">
                        <li>
                            Notifications
                        </li>
                    </ul>
                </div>
            </div>
            
        </div>

    </header>
    <div>
        <aside class="side">
            <ul style="list-style: none; font-size: large; font-weight: 900;">
                <li>
                    <a href="#">Dashboard</a>
                </li>
                <li>
                    <a href="#">Students</a>
                </li>
                <li>
                    <a href="#">Tasks</a>
                </li>
            </ul>
        </aside>
    
        <div class="topDiv">
            <p class="studP">Students</p>
            <div class="addStudentDiv" id="addStud">
                <ul style="list-style: none; font-size: 20px;">
                    <li>
                        <p style="margin-right: 30px; margin: 5px;">Name</p>
                        <input type="text" id="setName">
                    </li>
                    <li>
                        <p style="margin-right: 30px; margin: 5px;">Group</p>
                        <select id="setGroup">
                            <option>PZ-23</option>
                        </select>
                    </li>
                    <li>
                        <p style="margin-right: 30px;">Gender</p>
                        <div style="display: flex;">
                            <div style=" margin-right: 10px;">
                                <p style="margin: 0px;">Man</p>
                                <input type="checkbox" id="setGenderM">
                            </div>
                            <div style=" margin-left: 10px;">
                                <p style="margin: 0px;">Woman</p>
                                <input type="checkbox" id="setGenderW">
                            </div>
                            <div style=" margin-left: 10px;">
                                <input type="text" id="elementId" hidden>
                            </div>
                        </div>
                    </li>
                    <li>
                        <p style="margin-right: 30px; margin: 5px;">Birthday</p>
                        <input type="date" id="setBirthday">
                    </li>
                    <li>
                        <div style="display: flex; float: right; margin-right: 5%;">
                            <button type="button" id="createStud" style="height: 30px; width: 60px; font-size: 20px; margin-right: 20px;">Set</button>
                            <button id="closeAdd" style="height: 30px; width: 90px; font-size: 20px;">Cancel</button>
                        </div>
                        
                    </li>
                </ul>
            </div>
            



            <div class="deleteStud" id="deleteStud">
                <ul style="list-style: none; text-align: center; width: 100%; padding-inline-start: 0; font-size: 20px;"> 
                    <li>
                        <p>
                            Do you want to delete student?
                        </p>
                    </li>
                    <li>
                        <div>
                            <button style="height: 30px; width: 45px;" id="deleteBtn">
                                Yes
                            </button>
                            <button style="height: 30px; width: 45px;" id="canselBtn">
                                No
                            </button>
                        </div>
                    </li>
                </ul>
            </div>
            <div class="buttonDiv">
                <button class="butAdd" id="add" onclick="addStud()">+</button>
            </div>
            
        </div>
    
        <div class="tableDiv">
            <table class="t">
                <tbody id="tableBody">
                    <tr>
                        <td>
                            <input type="checkbox" id="checkbox">
                        </td>
                        <td>Group</td>
                        <td>Name</td>
                        <td>Gender</td>
                        <td>Birthday</td>
                        <td>Status</td>
                        <td>Options</td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>
    
    <script type="module" src="mod.js"></script>
    <script src="func.js"></script>
</body>
</html>